History
#1 - 2010-11-03 19:50 - Sebastian Kurfuerst
- Status changed from New to Accepted

#2 - 2010-11-03 22:24 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review

#3 - 2010-11-03 22:51 - Rens Admiraal

I know it's not meant for production environment yet, but just a question to open the discussion without taking a stand :)

Validation of the registry should be done before the registry is cached, or be done on cached parts of the registry before caching and on possibly
non-cached (if possible in some situation) parts at runtime?

#4 - 2010-11-04 07:55 - Sebastian Kurfuerst

Hey,

Validation of the registry should be done before the registry is cached, or be done on cached parts of the registry before caching and on possibly
non-cached (if possible in some situation) parts at runtime?

right now, I see it more as a documentation tool which we use to express how the registry should look like  and what contents it should have --
somehow like an executable specification.

So, I'd imagine that module would be only active on Development time, and would check the compiled contents of the registry.

I'm not sure I answered your question, does that make sense?

Greets, Sebastian

#5 - 2010-11-24 12:45 - Robert Lemke
- Status changed from Under Review to Resolved
- Estimated time set to 0.00
- Remaining (hours) set to 0.0

#6 - 2012-08-31 10:38 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos
